Update a workspace group
Updates the configuration of an existing workspace group, including name, description, and location. This is a PUT request that implements full replacement: all updatable fields are mandatory. Returns the updated resource (200) after a successful update.
curl --request PUT \
--url https://api.flexxible.net/v1/organizations/{organization_id}/workspace-groups/{workspace_group_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Grupo de Workspace de Produccion Actualizado",
"description": "Grupo de workspaces actualizado para entornos de producción",
"location": {
"latitude": 40.4168,
"longitude": -3.7038,
"address": "Madrid, Espana",
"description": "Ubicación de oficina actualizada"
}
}
'{
"id": "<string>",
"name": "<string>",
"organization_id": "<string>",
"create_date": "2023-11-07T05:31:56Z",
"description": "<string>",
"create_user": "<string>",
"type": "static",
"filter": "<string>",
"location": {
"latitude": 123,
"longitude": 123,
"address": "<string>",
"description": "<string>"
},
"entra_id_source": {
"resource_id": "<string>",
"resource_type": "group",
"resource_name": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of the organization
24^[0-9a-f]{24}$Unique identifier for the workspace group to update
24^[0-9a-f]{24}$Body
Response
Workspace group successfully updated. The response contains the updated resource.
ID of the workspace group
^[0-9a-f]{24}$Name of the workspace group
Organization identifier
^[0-9a-f]{24}$Creation timestamp
Description of the workspace group
ID of the user who created the workspace group
^[0-9a-f]{24}$Type of workspace group
static, dynamic, entra_id Filter string for dynamic workspace groups
Location information of the workspace group
Show child attributes
Show child attributes
Entra ID source information for the workspace group
Show child attributes
Show child attributes
curl --request PUT \
--url https://api.flexxible.net/v1/organizations/{organization_id}/workspace-groups/{workspace_group_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Grupo de Workspace de Produccion Actualizado",
"description": "Grupo de workspaces actualizado para entornos de producción",
"location": {
"latitude": 40.4168,
"longitude": -3.7038,
"address": "Madrid, Espana",
"description": "Ubicación de oficina actualizada"
}
}
'{
"id": "<string>",
"name": "<string>",
"organization_id": "<string>",
"create_date": "2023-11-07T05:31:56Z",
"description": "<string>",
"create_user": "<string>",
"type": "static",
"filter": "<string>",
"location": {
"latitude": 123,
"longitude": 123,
"address": "<string>",
"description": "<string>"
},
"entra_id_source": {
"resource_id": "<string>",
"resource_type": "group",
"resource_name": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}